Modify

Ticket #377 (closed task: fixed)

Opened 4 years ago

Last modified 4 years ago

Error on attempting to publish event to demo.plumi.org

Reported by: and Owned by:
Priority: critical Milestone: 3.0-RC2
Component: ATEngageVideo Severity:
Keywords: Cc:
Who will test this:

Description

Time 2010/03/30 20:30:00.942 US/Eastern User Name (User Id) andenator (andenator) Request URL  http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit Exception Type KeyError? Exception Value 'location'

Traceback (innermost last):

  • Module ZPublisher.Publish, line 119, in publish
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFPlone.FactoryTool?, line 379, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPageTemplate, line 90, in call
  • Module Products.CMFFormController.BaseControllerPageTemplate?, line 28, in _call
  • Module Products.CMFFormController.ControllerBase?, line 231, in getNext
  • Module Products.CMFFormController.Actions.TraverseToAction?, line 80, in call
  • Module Products.CMFFormController.Actions.TraverseTo?, line 38, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPageTemplate, line 90, in call
  • Module Products.CMFFormController.BaseControllerPageTemplate?, line 31, in _call
  • Module Shared.DC.Scripts.Bindings, line 313, in call
  • Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
  • Module Products.CMFCore.FSPageTemplate, line 216, in _exec
  • Module Products.CMFCore.FSPageTemplate, line 155, in pt_render
  • Module Products.PageTemplates.PageTemplate?, line 98, in pt_render
  • Module zope.pagetemplate.pagetemplate, line 117, in pt_render Warning: Macro expansion failed Warning: exceptions.KeyError?: 'macro'
  • Module zope.tal.talinterpreter, line 271, in call
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 891, in do_useMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 957, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 957, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 949, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 861, in do_defineMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 891, in do_useMacro
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 855, in do_condition
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 949, in do_defineSlot
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 855, in do_condition
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 824, in do_loop_tal
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 824, in do_loop_tal
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 536, in do_optTag_tal
  • Module zope.tal.talinterpreter, line 521, in do_optTag
  • Module zope.tal.talinterpreter, line 516, in no_tag
  • Module zope.tal.talinterpreter, line 346, in interpret
  • Module zope.tal.talinterpreter, line 586, in do_setLocal_tal
  • Module zope.tales.tales, line 696, in evaluate URL: file:/opt/tebet-instances/demo.plumi.org/eggs/Products.LinguaPlone-3.0.1-py2.4.egg/Products/LinguaPlone/skins/LinguaPlone/translate_item.cpt Line 148, Column 32 Expression: <PythonExpr? other.Schemata()[fieldset][fieldname]> Names:

{'container': <PloneSite? at /demo>,

'context': <ATEvent at /demo/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412 used for /demo/Members/andenator/events>, 'default': <object object at 0x7f2c8dd16240>, 'here': <ATEvent at /demo/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412 used for /demo/Members/andenator/events>, 'loop': {u'field': <Products.PageTemplates.Expressions.PathIterator? object at 0x7f2c714e3950>,

u'fieldset': <Products.PageTemplates.Expressions.PathIterator? object at 0x7f2c714e31d0>},

'nothing': None, 'options': {'args': (),

'state': <Products.CMFFormController.ControllerState?.ControllerState? object at 0xf725310>},

'repeat': <Products.PageTemplates.Expressions.SafeMapping? object at 0x7f2c688223b0>, 'request': <HTTPRequest, URL= http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit>, 'root': <Application at >, 'template': <FSControllerPageTemplate at /demo/translate_item used for /demo/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412>, 'traverse_subpath': [], 'user': <PloneUser? 'andenator'>}

  • Module Products.PageTemplates.ZRPythonExpr, line 49, in call traceback_info: other.Schemata()[fieldset][fieldname]
  • Module PythonExpr?, line 1, in <expression>
  • Module AccessControl?.ZopeGuards?, line 67, in guarded_getitem
  • Module Products.Archetypes.Schema, line 240, in getitem

KeyError?: 'location'

Display traceback as text

REQUEST form description_text_format 'text/plain' expirationDate_ampm 'AM' endDate '2010-07-30 04:25 AM' contributors [] startDate '2010-03-30 04:25 AM' text '\r\n<p>asdf</p>\r\n' endDate_day '30' form_submit 'Save' contactEmail 'asdf' text_text_format 'text/html' effectiveDate_ampm 'AM' expirationDate contactName 'asdf' effectiveDate_month '00' contactPhone 'asdf' rights_text_format 'text/html' id 'event.2010-03-30.0663195412' endDate_month '07' startDate_day '30' attendees ['me', 'myself', 'I'] last_referer ' http://demo.plumi.org/publish' effectiveDate title 'test event' startDate_month '03' endDate_year '2010' effectiveDate_minute '00' effectiveDate_year '0000' relatedItems [] location 'sdfasdf' effectiveDate_day '00' startDate_year '2010' excludeFromNav False expirationDate_hour '12' expirationDate_day '00' expirationDate_year '0000' expirationDate_month '00' text_file <ZPublisher.HTTPRequest.FileUpload? instance at 0x7f2c73bcde60> fieldset 'default' description 'asdf' endDate_hour '04' startDate_ampm 'AM' startDate_hour '04' add_reference {'destination': , 'field': , 'type': } startDate_minute '25' endDate_ampm 'AM' eventType_keywords [] eventUrl 'dsf' eventType_existing_keywords [] rights endDate_minute '25' allowDiscussion True effectiveDate_hour '12' creators andenator? expirationDate_minute '00' cookies I18N_LANGUAGE 'en' ac '/udFtETxVuTlmaI5x8c0Vax0x4cgYW5kZW5hdG9y' statusmessages None contentratings '1C2806A4FCE1DD8528453E22CF2FD952' lazy items SESSION <bound method SessionDataManager?.getSessionData of <SessionDataManager? at /session_data_manager>> other startDate '2010-03-30 04:25 AM' endDate '2010-07-30 04:25 AM' VIRTUAL_URL_PARTS (' http://demo.plumi.org', 'Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit') description_text_format 'text/plain' VIRTUAL_URL ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' factoryinfo {'stack': ['Event', 'event.2010-03-30.0663195412', 'atct_edit'], 'Event': <TempFolder? at /demo/Members/andenator/events/portal_factory/Event>} URL5 ' http://demo.plumi.org/Members/andenator' URL4 ' http://demo.plumi.org/Members/andenator/events' ac '/udFtETxVuTlmaI5x8c0Vax0x4cgYW5kZW5hdG9y' URL6 ' http://demo.plumi.org/Members' URL0 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' URL3 ' http://demo.plumi.org/Members/andenator/events/portal_factory' URL2 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event' AUTHENTICATION_PATH 'demo/virtual_hosting' disable_border True LANGUAGE 'en' AUTHENTICATED_USER <PloneUser? 'andenator'> SERVER_URL ' http://demo.plumi.org' ACTUAL_URL ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' fieldset 'default' description 'asdf' URL ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' PUBLISHED <FactoryTool? at /demo/portal_factory used for /demo/Members/andenator/events> controller_state <Products.CMFFormController.ControllerState?.ControllerState? object at 0xf725310> TraversalRequestNameStack? [] _ec_cache {139828879707344: <Products.PageTemplates.Expressions.ZopeContext? object at 0x7f2c7b7c5a50>, 139828879707088: <Products.PageTemplates.Expressions.ZopeContext? object at 0x107a6d10>} _pts_is_rtl False title 'test event' VirtualRootPhysicalPath? (, 'demo') URL7 ' http://demo.plumi.org' LANGUAGE_TOOL <Products.PloneLanguageTool?.LanguageTool?.LanguageBinding? instance at 0x7f2c72df8cf8> BASE0 ' http://demo.plumi.org' BASE1 ' http://demo.plumi.org/Members' BASE2 ' http://demo.plumi.org/Members/andenator' BASE3 ' http://demo.plumi.org/Members/andenator/events' BASE4 ' http://demo.plumi.org/Members/andenator/events/portal_factory' BASE5 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event' BASE6 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412' BASE7 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' URL1 ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412' URL0  http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit URL1  http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412 URL2  http://demo.plumi.org/Members/andenator/events/portal_factory/Event URL3  http://demo.plumi.org/Members/andenator/events/portal_factory URL4  http://demo.plumi.org/Members/andenator/events URL5  http://demo.plumi.org/Members/andenator URL6  http://demo.plumi.org/Members URL7  http://demo.plumi.org BASE0  http://demo.plumi.org BASE1  http://demo.plumi.org/Members BASE2  http://demo.plumi.org/Members/andenator BASE3  http://demo.plumi.org/Members/andenator/events BASE4  http://demo.plumi.org/Members/andenator/events/portal_factory BASE5  http://demo.plumi.org/Members/andenator/events/portal_factory/Event BASE6  http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412 BASE7  http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit environ HTTP_X_FORWARDED_SERVER 'demo.plumi.org' HTTP_REFERER ' http://demo.plumi.org/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/edit' HTTP_ACCEPT_LANGUAGE 'en-us,en;q=0.5' SERVER_SOFTWARE 'Zope/(unreleased version, python 2.4.6, linux2) ZServer/1.1 Plone/3.3.5' SCRIPT_NAME REQUEST_METHOD 'POST' PATH_INFO '/VirtualHostBase/http/demo.plumi.org:80/demo/VirtualHostRoot/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' SERVER_PROTOCOL 'HTTP/1.1' channel.creation_time 1269941398 CONNECTION_TYPE 'Keep-Alive' HTTP_ACCEPT_CHARSET 'ISO-8859-1,utf-8;q=0.7,*;q=0.7' HTTP_USER_AGENT 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2' HTTP_COOKIE 'contentratings="1C2806A4FCE1DD8528453E22CF2FD952"; I18N_LANGUAGE="en"; ac="/udFtETxVuTlmaI5x8c0Vax0x4cgYW5kZW5hdG9y"' SERVER_NAME 'localhost' REMOTE_ADDR '127.0.0.1' HTTP_VIA '1.1 demo.plumi.org' PATH_TRANSLATED '/VirtualHostBase/http/demo.plumi.org:80/demo/VirtualHostRoot/Members/andenator/events/portal_factory/Event/event.2010-03-30.0663195412/atct_edit' SERVER_PORT '8380' CONTENT_LENGTH '7425' HTTP_HOST '127.0.0.1:8380' HTTP_ACCEPT 'text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8' GATEWAY_INTERFACE 'CGI/1.1' HTTP_X_FORWARDED_FOR '61.247.49.89' HTTP_X_FORWARDED_HOST 'demo.plumi.org' CONTENT_TYPE 'multipart/form-data; boundary=---------------------------178448449274243042114807987' HTTP_ACCEPT_ENCODING 'gzip,deflate'

Attachments

Change History

comment:1 Changed 4 years ago by mike

Has anyone been able to reproduce this? I seem to be able to submit events without problems on demo.plumi.org (as user clopy) and on my local instance as well.

And, can you test again as andenator to see if it was something temporary (someone was restarting the server e.g.) and maybe try with a different account?

comment:2 Changed 4 years ago by and

I made a new user (tester5) and attempted this again but it still returned an error - error. no. 1270289660.390.0636371056713

comment:3 Changed 4 years ago by mike

After some testing by and, it seems the error is triggered when the user provides a URL that does not start with ' http://'. We should at either add the ' http://' manually or at least handle the error with a little more grace :)

comment:4 Changed 4 years ago by mike

  • Status changed from new to closed
  • Resolution set to fixed

This seemed to be a kss issue not being correctly loaded for the validation. I believe it is fixed on latest-v now. Let me know if it ain't for you.

comment:5 Changed 4 years ago by mike

  • Status changed from closed to reopened
  • Resolution fixed deleted

Sorry, wrong button :) Reopening to set ready for testing

comment:6 Changed 4 years ago by mike

  • Status changed from reopened to closed
  • Resolution set to ready for testing

comment:7 Changed 4 years ago by and

  • Status changed from closed to reopened
  • Resolution ready for testing deleted

Works. Closing.

comment:8 Changed 4 years ago by and

  • Status changed from reopened to closed
  • Resolution set to fixed
View

Add a comment

Modify Ticket

Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.